Bug 1302940 - fv images are broken, cannot find logs
fv images are broken, cannot find logs
Status: CLOSED NOTABUG
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 23:39 EST by Brian Brock
Modified: 2016-01-29 16:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 16:20:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2016-01-28 23:39:42 EST
Description of problem:
The full virt tests fail with this error:
Error: could not find guest test results
"cp /mnt/rhcert-client/results.xml /var/log/rhcert/runs/1/hwcert/fvtest/fv_core" has output on stderr
Unmounting /mnt/rhcert-client
Deleting loopback device /dev/loop0 configuration.


Version-Release number of selected component (if applicable):
redhat-certification-2.2-20160128.el7
redhat-certification-hardware-1.7.1-20160126.el7

How reproducible:
Seems to to reliably happen with current fv images.

Steps to Reproduce:
1. create a new test system
2. launch any full virt test
3. check results logs

Actual results:
test consistently fails with error after harness fails to find logs.

Expected results:
test passes, finds logs

Additional info:
Halting system...
Power down.
****** guest console log - end ******
Using loopback device /dev/loop0 for guest data image
add map loop0p1 (253:3): 0 192717 linear /dev/loop0 63
Mounted /dev/mapper/loop0p1 on /mnt/rhcert-client
rhcert image: host: rhcert--, guest: rhcert--  build:  2014-03-10 12:59:25
Filesystem           Size  Used Avail Use% Mounted on
/dev/mapper/loop0p1   92M  6.0M   81M   7% /mnt/rhcert-client
total 425
drwxr-xr-x.  3 root root   1024 Jan 28 13:41 .
drwxr-xr-x. 10 root root   4096 Jan 28 13:34 ..
-rw-r--r--.  1 root root 402436 Mar 10  2014 hwcert-client-1.6.5.2-20140310.el6.noarch.rpm
-rw-r--r--.  1 root root   3160 Mar 10  2014 hwcert-client-info-1.6.5.2-20140310.el6.noarch.rpm
-rwxr--r--.  1 root root    593 Jan 28 13:41 hwcert-guest-script
-rw-r--r--.  1 root root    312 Mar 10  2014 hwcert-image.xml
drwx------.  2 root root  12288 Jun  9  2009 lost+found
lrwxrwxrwx.  1 root root     21 Jan 28 13:41 v7-guest-script -> ./hwcert-guest-script
Error: could not find guest test results
"cp /mnt/rhcert-client/results.xml /var/log/rhcert/runs/1/hwcert/fvtest/fv_core" has output on stderr
Unmounting /mnt/rhcert-client
Deleting loopback device /dev/loop0 configuration.

Note You need to log in before you can comment on or make changes to this bug.